put
https://yourServer.jamfcloud.com/JSSResource/mobiledevicegroups/id/
One or more mobile devices can be added by using "mobile_device_additions" instead of "mobile_devices". One or more computers can be deleted by using "mobile_device_deletions" instead of "mobile_devices".
Jamf Pro API equivalent available:PUT /api/v1/mobile-device-groups/smart-groups/{id}. The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request Bodies
This endpoint supports additional XML request bodies that act similar to the HTTP PATCH method, allowing for the addition and deletion of individual devices from an existing static group. When interacting with static groups, use of a single device identifier is required (id, name, mac_address, udid or serial_number).
<mobile_device_group>
<name>Sample Group</name>
<is_smart>true</is_smart>
<criteria>
<criterion>
<name>Last Inventory Update</name>
<priority>0</priority>
<and_or>and</and_or>
<search_type>more than x days ago</search_type>
<value>7</value>
<opening_paren>false</opening_paren>
<closing_paren>false</closing_paren>
</criterion>
</criteria>
<site>
<id>-1</id>
<name>None</name>
</site>
</mobile_device_group><mobile_device_group>
<name>Static Group</name>
<is_smart>false</is_smart>
<site>
<id>-1</id>
<name>None</name>
</site>
<mobile_devices>
<mobile_device>
<id>38</id>
<name>Test Device</name>
<mac_address>18:E7:F4:35:2F:99</mac_address>
<udid>141f86e409a5a614a7ef691cd3c6b0821e7d9a98</udid>
<wifi_mac_address>18:E7:F4:35:2F:99</wifi_mac_address>
<serial_number>C02Q7KHTGFWF</serial_number>
</mobile_device>
<mobile_device>
<id>44</id>
<name>Device Name</name>
<mac_address>E0:AC:CB:97:36:G4</mac_address>
<udid>270aae10800b6e61a2ee2bbc285eb977050b5989</udid>
<wifi_mac_address>E0:AC:CB:97:36:G4</wifi_mac_address>
<serial_number>C02Q7KHTGFWF</serial_number>
</mobile_device>
</mobile_devices>
</mobile_device_group><mobile_device_group>
<mobile_device_additions>
<mobile_device>
<id>38</id>
<name>Test Device</name>
<mac_address>18:E7:F4:35:2F:99</mac_address>
<udid>141f86e409a5a614a7ef691cd3c6b0821e7d9a98</udid>
<wifi_mac_address>18:E7:F4:35:2F:99</wifi_mac_address>
<serial_number>C02Q7KHTGFWF</serial_number>
</mobile_device>
<mobile_device>
<id>44</id>
<name>Device Name</name>
<mac_address>E0:AC:CB:97:36:G4</mac_address>
<udid>270aae10800b6e61a2ee2bbc285eb977050b5989</udid>
<wifi_mac_address>E0:AC:CB:97:36:G4</wifi_mac_address>
<serial_number>C02Q7KHTGFWF</serial_number>
</mobile_device>
</mobile_device_additions>
</mobile_device_group><mobile_device_group>
<mobile_device_deletions>
<mobile_device>
<id>38</id>
<name>Test Device</name>
<mac_address>18:E7:F4:35:2F:99</mac_address>
<udid>141f86e409a5a614a7ef691cd3c6b0821e7d9a98</udid>
<wifi_mac_address>18:E7:F4:35:2F:99</wifi_mac_address>
<serial_number>C02Q7KHTGFWF</serial_number>
</mobile_device>
<mobile_device>
<id>44</id>
<name>Device Name</name>
<mac_address>E0:AC:CB:97:36:G4</mac_address>
<udid>270aae10800b6e61a2ee2bbc285eb977050b5989</udid>
<wifi_mac_address>E0:AC:CB:97:36:G4</wifi_mac_address>
<serial_number>C02Q7KHTGFWF</serial_number>
</mobile_device>
</mobile_device_deletions>
</mobile_device_group> 201Created